﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
      <Schema Namespace="QuanLyKhachSanModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="ChiTietDatPhong">
          <Key>
            <PropertyRef Name="MaCTDP" />
          </Key>
          <Property Name="MaCTDP" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="MaDatPhong" Type="int" />
          <Property Name="MaDV" Type="int" />
          <Property Name="SoLuong" Type="int" />
          <Property Name="ThanhTien" Type="float" />
        </EntityType>
        <EntityType Name="DatPhong">
          <Key>
            <PropertyRef Name="MaDatPhong" />
          </Key>
          <Property Name="MaDatPhong" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="MaKH" Type="int" />
          <Property Name="MaPhong" Type="char" MaxLength="4" />
          <Property Name="NgayDen" Type="date" />
          <Property Name="NgayDi" Type="date" />
          <Property Name="SoNguoiO" Type="int" />
          <Property Name="TienCoc" Type="float" />
          <Property Name="NVTiepNhan" Type="int" />
          <Property Name="TongTien" Type="float" />
          <Property Name="SoNgayO" Type="int" />
          <Property Name="TraPhong" Type="bit" />
        </EntityType>
        <EntityType Name="DichVu">
          <Key>
            <PropertyRef Name="MaDV" />
          </Key>
          <Property Name="MaDV" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="TenDV" Type="nvarchar" MaxLength="100" />
          <Property Name="Gia" Type="float" />
        </EntityType>
        <EntityType Name="HoaDon">
          <Key>
            <PropertyRef Name="MaHoaDon" />
          </Key>
          <Property Name="MaHoaDon" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="MaDatPhong" Type="int" />
          <Property Name="NgayLap" Type="date" />
          <Property Name="TongTien" Type="float" />
          <Property Name="NVThanhToan" Type="int" />
        </EntityType>
        <EntityType Name="KhachHang">
          <Key>
            <PropertyRef Name="MaKH" />
          </Key>
          <Property Name="MaKH" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="HoTen" Type="nvarchar" MaxLength="50" />
          <Property Name="DiaChi" Type="nvarchar" MaxLength="200" />
          <Property Name="SDT" Type="char" MaxLength="10" />
          <Property Name="Email" Type="nvarchar" MaxLength="50" />
          <Property Name="CCCD" Type="nvarchar" MaxLength="12" Nullable="false" />
          <Property Name="SoLanNghi" Type="int" />
          <Property Name="KhachVIP" Type="bit" />
        </EntityType>
        <EntityType Name="LoaiPhong">
          <Key>
            <PropertyRef Name="MaLoaiPhong" />
          </Key>
          <Property Name="MaLoaiPhong" Type="int" Nullable="false" />
          <Property Name="TenLoaiPhong" Type="nvarchar" MaxLength="100" />
          <Property Name="MoTa" Type="nvarchar" MaxLength="200" />
          <Property Name="Gia" Type="float" />
          <Property Name="SucChua" Type="int" />
        </EntityType>
        <EntityType Name="NhanVien">
          <Key>
            <PropertyRef Name="MaNV" />
          </Key>
          <Property Name="MaNV" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="HoTen" Type="nvarchar" MaxLength="50" />
          <Property Name="DiaChi" Type="nvarchar" MaxLength="200" />
          <Property Name="SDT" Type="char" MaxLength="10" />
          <Property Name="Email" Type="nvarchar" MaxLength="50" />
          <Property Name="MatKhau" Type="nvarchar" MaxLength="50" />
          <Property Name="ChucVu" Type="nvarchar" MaxLength="50" />
        </EntityType>
        <EntityType Name="Phong">
          <Key>
            <PropertyRef Name="MaPhong" />
          </Key>
          <Property Name="MaPhong" Type="char" MaxLength="4" Nullable="false" />
          <Property Name="MaLoaiPhong" Type="int" />
          <Property Name="TinhTrang" Type="int" />
        </EntityType>
        <EntityType Name="sysdiagrams">
          <Key>
            <PropertyRef Name="diagram_id" />
          </Key>
          <Property Name="name" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="principal_id" Type="int" Nullable="false" />
          <Property Name="diagram_id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="version" Type="int" />
          <Property Name="definition" Type="varbinary(max)" />
        </EntityType>
        <Association Name="FK__ChiTietDa__MaDat__4D94879B">
          <End Role="DatPhong" Type="Self.DatPhong" Multiplicity="0..1" />
          <End Role="ChiTietDatPhong" Type="Self.ChiTietDatPhong" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DatPhong">
              <PropertyRef Name="MaDatPhong" />
            </Principal>
            <Dependent Role="ChiTietDatPhong">
              <PropertyRef Name="MaDatPhong" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__ChiTietDat__MaDV__4E88ABD4">
          <End Role="DichVu" Type="Self.DichVu" Multiplicity="0..1" />
          <End Role="ChiTietDatPhong" Type="Self.ChiTietDatPhong" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DichVu">
              <PropertyRef Name="MaDV" />
            </Principal>
            <Dependent Role="ChiTietDatPhong">
              <PropertyRef Name="MaDV" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__DatPhong__MaKH__5165187F">
          <End Role="KhachHang" Type="Self.KhachHang" Multiplicity="0..1" />
          <End Role="DatPhong" Type="Self.DatPhong" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="KhachHang">
              <PropertyRef Name="MaKH" />
            </Principal>
            <Dependent Role="DatPhong">
              <PropertyRef Name="MaKH" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__DatPhong__MaPhon__52593CB8">
          <End Role="Phong" Type="Self.Phong" Multiplicity="0..1" />
          <End Role="DatPhong" Type="Self.DatPhong" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Phong">
              <PropertyRef Name="MaPhong" />
            </Principal>
            <Dependent Role="DatPhong">
              <PropertyRef Name="MaPhong" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__DatPhong__NVTiep__534D60F1">
          <End Role="NhanVien" Type="Self.NhanVien" Multiplicity="0..1" />
          <End Role="DatPhong" Type="Self.DatPhong" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="NhanVien">
              <PropertyRef Name="MaNV" />
            </Principal>
            <Dependent Role="DatPhong">
              <PropertyRef Name="NVTiepNhan" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__HoaDon__MaDatPho__66603565">
          <End Role="DatPhong" Type="Self.DatPhong" Multiplicity="0..1" />
          <End Role="HoaDon" Type="Self.HoaDon" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DatPhong">
              <PropertyRef Name="MaDatPhong" />
            </Principal>
            <Dependent Role="HoaDon">
              <PropertyRef Name="MaDatPhong" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__HoaDon__NVThanhT__5441852A">
          <End Role="NhanVien" Type="Self.NhanVien" Multiplicity="0..1" />
          <End Role="HoaDon" Type="Self.HoaDon" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="NhanVien">
              <PropertyRef Name="MaNV" />
            </Principal>
            <Dependent Role="HoaDon">
              <PropertyRef Name="NVThanhToan" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Phong__MaLoaiPho__571DF1D5">
          <End Role="LoaiPhong" Type="Self.LoaiPhong" Multiplicity="0..1" />
          <End Role="Phong" Type="Self.Phong" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="LoaiPhong">
              <PropertyRef Name="MaLoaiPhong" />
            </Principal>
            <Dependent Role="Phong">
              <PropertyRef Name="MaLoaiPhong" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="QuanLyKhachSanModelStoreContainer">
          <EntitySet Name="ChiTietDatPhong" EntityType="Self.ChiTietDatPhong" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="DatPhong" EntityType="Self.DatPhong" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="DichVu" EntityType="Self.DichVu" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="HoaDon" EntityType="Self.HoaDon" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="KhachHang" EntityType="Self.KhachHang" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="LoaiPhong" EntityType="Self.LoaiPhong" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="NhanVien" EntityType="Self.NhanVien" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Phong" EntityType="Self.Phong" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="sysdiagrams" EntityType="Self.sysdiagrams" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK__ChiTietDa__MaDat__4D94879B" Association="Self.FK__ChiTietDa__MaDat__4D94879B">
            <End Role="DatPhong" EntitySet="DatPhong" />
            <End Role="ChiTietDatPhong" EntitySet="ChiTietDatPhong" />
          </AssociationSet>
          <AssociationSet Name="FK__ChiTietDat__MaDV__4E88ABD4" Association="Self.FK__ChiTietDat__MaDV__4E88ABD4">
            <End Role="DichVu" EntitySet="DichVu" />
            <End Role="ChiTietDatPhong" EntitySet="ChiTietDatPhong" />
          </AssociationSet>
          <AssociationSet Name="FK__DatPhong__MaKH__5165187F" Association="Self.FK__DatPhong__MaKH__5165187F">
            <End Role="KhachHang" EntitySet="KhachHang" />
            <End Role="DatPhong" EntitySet="DatPhong" />
          </AssociationSet>
          <AssociationSet Name="FK__DatPhong__MaPhon__52593CB8" Association="Self.FK__DatPhong__MaPhon__52593CB8">
            <End Role="Phong" EntitySet="Phong" />
            <End Role="DatPhong" EntitySet="DatPhong" />
          </AssociationSet>
          <AssociationSet Name="FK__DatPhong__NVTiep__534D60F1" Association="Self.FK__DatPhong__NVTiep__534D60F1">
            <End Role="NhanVien" EntitySet="NhanVien" />
            <End Role="DatPhong" EntitySet="DatPhong" />
          </AssociationSet>
          <AssociationSet Name="FK__HoaDon__MaDatPho__66603565" Association="Self.FK__HoaDon__MaDatPho__66603565">
            <End Role="DatPhong" EntitySet="DatPhong" />
            <End Role="HoaDon" EntitySet="HoaDon" />
          </AssociationSet>
          <AssociationSet Name="FK__HoaDon__NVThanhT__5441852A" Association="Self.FK__HoaDon__NVThanhT__5441852A">
            <End Role="NhanVien" EntitySet="NhanVien" />
            <End Role="HoaDon" EntitySet="HoaDon" />
          </AssociationSet>
          <AssociationSet Name="FK__Phong__MaLoaiPho__571DF1D5" Association="Self.FK__Phong__MaLoaiPho__571DF1D5">
            <End Role="LoaiPhong" EntitySet="LoaiPhong" />
            <End Role="Phong" EntitySet="Phong" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="QuanLyKhachSanModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="ChiTietDatPhong">
          <Key>
            <PropertyRef Name="MaCTDP" />
          </Key>
          <Property Name="MaCTDP" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="MaDatPhong" Type="Int32" />
          <Property Name="MaDV" Type="Int32" />
          <Property Name="SoLuong" Type="Int32" />
          <Property Name="ThanhTien" Type="Double" />
          <NavigationProperty Name="DatPhong" Relationship="Self.FK__ChiTietDa__MaDat__4D94879B" FromRole="ChiTietDatPhong" ToRole="DatPhong" />
          <NavigationProperty Name="DichVu" Relationship="Self.FK__ChiTietDat__MaDV__4E88ABD4" FromRole="ChiTietDatPhong" ToRole="DichVu" />
        </EntityType>
        <EntityType Name="DatPhong">
          <Key>
            <PropertyRef Name="MaDatPhong" />
          </Key>
          <Property Name="MaDatPhong" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="MaKH" Type="Int32" />
          <Property Name="MaPhong" Type="String" MaxLength="4" FixedLength="true" Unicode="false" />
          <Property Name="NgayDen" Type="DateTime" Precision="0" />
          <Property Name="NgayDi" Type="DateTime" Precision="0" />
          <Property Name="SoNguoiO" Type="Int32" />
          <Property Name="TienCoc" Type="Double" />
          <Property Name="NVTiepNhan" Type="Int32" />
          <Property Name="TongTien" Type="Double" />
          <Property Name="SoNgayO" Type="Int32" />
          <Property Name="TraPhong" Type="Boolean" />
          <NavigationProperty Name="ChiTietDatPhongs" Relationship="Self.FK__ChiTietDa__MaDat__4D94879B" FromRole="DatPhong" ToRole="ChiTietDatPhong" />
          <NavigationProperty Name="KhachHang" Relationship="Self.FK__DatPhong__MaKH__5165187F" FromRole="DatPhong" ToRole="KhachHang" />
          <NavigationProperty Name="Phong" Relationship="Self.FK__DatPhong__MaPhon__52593CB8" FromRole="DatPhong" ToRole="Phong" />
          <NavigationProperty Name="NhanVien" Relationship="Self.FK__DatPhong__NVTiep__534D60F1" FromRole="DatPhong" ToRole="NhanVien" />
          <NavigationProperty Name="HoaDons" Relationship="Self.FK__HoaDon__MaDatPho__66603565" FromRole="DatPhong" ToRole="HoaDon" />
        </EntityType>
        <EntityType Name="DichVu">
          <Key>
            <PropertyRef Name="MaDV" />
          </Key>
          <Property Name="MaDV" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="TenDV" Type="String" MaxLength="100" FixedLength="false" Unicode="true" />
          <Property Name="Gia" Type="Double" />
          <NavigationProperty Name="ChiTietDatPhongs" Relationship="Self.FK__ChiTietDat__MaDV__4E88ABD4" FromRole="DichVu" ToRole="ChiTietDatPhong" />
        </EntityType>
        <EntityType Name="HoaDon">
          <Key>
            <PropertyRef Name="MaHoaDon" />
          </Key>
          <Property Name="MaHoaDon" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="MaDatPhong" Type="Int32" />
          <Property Name="NgayLap" Type="DateTime" Precision="0" />
          <Property Name="TongTien" Type="Double" />
          <Property Name="NVThanhToan" Type="Int32" />
          <NavigationProperty Name="DatPhong" Relationship="Self.FK__HoaDon__MaDatPho__66603565" FromRole="HoaDon" ToRole="DatPhong" />
          <NavigationProperty Name="NhanVien" Relationship="Self.FK__HoaDon__NVThanhT__5441852A" FromRole="HoaDon" ToRole="NhanVien" />
        </EntityType>
        <EntityType Name="KhachHang">
          <Key>
            <PropertyRef Name="MaKH" />
          </Key>
          <Property Name="MaKH" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="HoTen" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="DiaChi" Type="String" MaxLength="200" FixedLength="false" Unicode="true" />
          <Property Name="SDT" Type="String" MaxLength="10" FixedLength="true" Unicode="false" />
          <Property Name="Email" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="CCCD" Type="String" MaxLength="12" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="SoLanNghi" Type="Int32" />
          <Property Name="KhachVIP" Type="Boolean" />
          <NavigationProperty Name="DatPhongs" Relationship="Self.FK__DatPhong__MaKH__5165187F" FromRole="KhachHang" ToRole="DatPhong" />
        </EntityType>
        <EntityType Name="LoaiPhong">
          <Key>
            <PropertyRef Name="MaLoaiPhong" />
          </Key>
          <Property Name="MaLoaiPhong" Type="Int32" Nullable="false" />
          <Property Name="TenLoaiPhong" Type="String" MaxLength="100" FixedLength="false" Unicode="true" />
          <Property Name="MoTa" Type="String" MaxLength="200" FixedLength="false" Unicode="true" />
          <Property Name="Gia" Type="Double" />
          <Property Name="SucChua" Type="Int32" />
          <NavigationProperty Name="Phongs" Relationship="Self.FK__Phong__MaLoaiPho__571DF1D5" FromRole="LoaiPhong" ToRole="Phong" />
        </EntityType>
        <EntityType Name="NhanVien">
          <Key>
            <PropertyRef Name="MaNV" />
          </Key>
          <Property Name="MaNV" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="HoTen" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="DiaChi" Type="String" MaxLength="200" FixedLength="false" Unicode="true" />
          <Property Name="SDT" Type="String" MaxLength="10" FixedLength="true" Unicode="false" />
          <Property Name="Email" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="MatKhau" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <Property Name="ChucVu" Type="String" MaxLength="50" FixedLength="false" Unicode="true" />
          <NavigationProperty Name="DatPhongs" Relationship="Self.FK__DatPhong__NVTiep__534D60F1" FromRole="NhanVien" ToRole="DatPhong" />
          <NavigationProperty Name="HoaDons" Relationship="Self.FK__HoaDon__NVThanhT__5441852A" FromRole="NhanVien" ToRole="HoaDon" />
        </EntityType>
        <EntityType Name="Phong">
          <Key>
            <PropertyRef Name="MaPhong" />
          </Key>
          <Property Name="MaPhong" Type="String" MaxLength="4" FixedLength="true" Unicode="false" Nullable="false" />
          <Property Name="MaLoaiPhong" Type="Int32" />
          <Property Name="TinhTrang" Type="Int32" />
          <NavigationProperty Name="DatPhongs" Relationship="Self.FK__DatPhong__MaPhon__52593CB8" FromRole="Phong" ToRole="DatPhong" />
          <NavigationProperty Name="LoaiPhong" Relationship="Self.FK__Phong__MaLoaiPho__571DF1D5" FromRole="Phong" ToRole="LoaiPhong" />
        </EntityType>
        <EntityType Name="sysdiagram">
          <Key>
            <PropertyRef Name="diagram_id" />
          </Key>
          <Property Name="name" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="principal_id" Type="Int32" Nullable="false" />
          <Property Name="diagram_id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="version" Type="Int32" />
          <Property Name="definition" Type="Binary" MaxLength="Max" FixedLength="false" />
        </EntityType>
        <Association Name="FK__ChiTietDa__MaDat__4D94879B">
          <End Role="DatPhong" Type="Self.DatPhong" Multiplicity="0..1" />
          <End Role="ChiTietDatPhong" Type="Self.ChiTietDatPhong" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DatPhong">
              <PropertyRef Name="MaDatPhong" />
            </Principal>
            <Dependent Role="ChiTietDatPhong">
              <PropertyRef Name="MaDatPhong" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__ChiTietDat__MaDV__4E88ABD4">
          <End Role="DichVu" Type="Self.DichVu" Multiplicity="0..1" />
          <End Role="ChiTietDatPhong" Type="Self.ChiTietDatPhong" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DichVu">
              <PropertyRef Name="MaDV" />
            </Principal>
            <Dependent Role="ChiTietDatPhong">
              <PropertyRef Name="MaDV" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__DatPhong__MaKH__5165187F">
          <End Role="KhachHang" Type="Self.KhachHang" Multiplicity="0..1" />
          <End Role="DatPhong" Type="Self.DatPhong" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="KhachHang">
              <PropertyRef Name="MaKH" />
            </Principal>
            <Dependent Role="DatPhong">
              <PropertyRef Name="MaKH" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__DatPhong__MaPhon__52593CB8">
          <End Role="Phong" Type="Self.Phong" Multiplicity="0..1" />
          <End Role="DatPhong" Type="Self.DatPhong" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Phong">
              <PropertyRef Name="MaPhong" />
            </Principal>
            <Dependent Role="DatPhong">
              <PropertyRef Name="MaPhong" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__DatPhong__NVTiep__534D60F1">
          <End Role="NhanVien" Type="Self.NhanVien" Multiplicity="0..1" />
          <End Role="DatPhong" Type="Self.DatPhong" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="NhanVien">
              <PropertyRef Name="MaNV" />
            </Principal>
            <Dependent Role="DatPhong">
              <PropertyRef Name="NVTiepNhan" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__HoaDon__MaDatPho__66603565">
          <End Role="DatPhong" Type="Self.DatPhong" Multiplicity="0..1" />
          <End Role="HoaDon" Type="Self.HoaDon" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DatPhong">
              <PropertyRef Name="MaDatPhong" />
            </Principal>
            <Dependent Role="HoaDon">
              <PropertyRef Name="MaDatPhong" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__HoaDon__NVThanhT__5441852A">
          <End Role="NhanVien" Type="Self.NhanVien" Multiplicity="0..1" />
          <End Role="HoaDon" Type="Self.HoaDon" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="NhanVien">
              <PropertyRef Name="MaNV" />
            </Principal>
            <Dependent Role="HoaDon">
              <PropertyRef Name="NVThanhToan" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Phong__MaLoaiPho__571DF1D5">
          <End Role="LoaiPhong" Type="Self.LoaiPhong" Multiplicity="0..1" />
          <End Role="Phong" Type="Self.Phong" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="LoaiPhong">
              <PropertyRef Name="MaLoaiPhong" />
            </Principal>
            <Dependent Role="Phong">
              <PropertyRef Name="MaLoaiPhong" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="QuanLyKhachSanEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="ChiTietDatPhongs" EntityType="Self.ChiTietDatPhong" />
          <EntitySet Name="DatPhongs" EntityType="Self.DatPhong" />
          <EntitySet Name="DichVus" EntityType="Self.DichVu" />
          <EntitySet Name="HoaDons" EntityType="Self.HoaDon" />
          <EntitySet Name="KhachHangs" EntityType="Self.KhachHang" />
          <EntitySet Name="LoaiPhongs" EntityType="Self.LoaiPhong" />
          <EntitySet Name="NhanViens" EntityType="Self.NhanVien" />
          <EntitySet Name="Phongs" EntityType="Self.Phong" />
          <EntitySet Name="sysdiagrams" EntityType="Self.sysdiagram" />
          <AssociationSet Name="FK__ChiTietDa__MaDat__4D94879B" Association="Self.FK__ChiTietDa__MaDat__4D94879B">
            <End Role="DatPhong" EntitySet="DatPhongs" />
            <End Role="ChiTietDatPhong" EntitySet="ChiTietDatPhongs" />
          </AssociationSet>
          <AssociationSet Name="FK__ChiTietDat__MaDV__4E88ABD4" Association="Self.FK__ChiTietDat__MaDV__4E88ABD4">
            <End Role="DichVu" EntitySet="DichVus" />
            <End Role="ChiTietDatPhong" EntitySet="ChiTietDatPhongs" />
          </AssociationSet>
          <AssociationSet Name="FK__DatPhong__MaKH__5165187F" Association="Self.FK__DatPhong__MaKH__5165187F">
            <End Role="KhachHang" EntitySet="KhachHangs" />
            <End Role="DatPhong" EntitySet="DatPhongs" />
          </AssociationSet>
          <AssociationSet Name="FK__DatPhong__MaPhon__52593CB8" Association="Self.FK__DatPhong__MaPhon__52593CB8">
            <End Role="Phong" EntitySet="Phongs" />
            <End Role="DatPhong" EntitySet="DatPhongs" />
          </AssociationSet>
          <AssociationSet Name="FK__DatPhong__NVTiep__534D60F1" Association="Self.FK__DatPhong__NVTiep__534D60F1">
            <End Role="NhanVien" EntitySet="NhanViens" />
            <End Role="DatPhong" EntitySet="DatPhongs" />
          </AssociationSet>
          <AssociationSet Name="FK__HoaDon__MaDatPho__66603565" Association="Self.FK__HoaDon__MaDatPho__66603565">
            <End Role="DatPhong" EntitySet="DatPhongs" />
            <End Role="HoaDon" EntitySet="HoaDons" />
          </AssociationSet>
          <AssociationSet Name="FK__HoaDon__NVThanhT__5441852A" Association="Self.FK__HoaDon__NVThanhT__5441852A">
            <End Role="NhanVien" EntitySet="NhanViens" />
            <End Role="HoaDon" EntitySet="HoaDons" />
          </AssociationSet>
          <AssociationSet Name="FK__Phong__MaLoaiPho__571DF1D5" Association="Self.FK__Phong__MaLoaiPho__571DF1D5">
            <End Role="LoaiPhong" EntitySet="LoaiPhongs" />
            <End Role="Phong" EntitySet="Phongs" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="QuanLyKhachSanModelStoreContainer" CdmEntityContainer="QuanLyKhachSanEntities">
          <EntitySetMapping Name="ChiTietDatPhongs">
            <EntityTypeMapping TypeName="QuanLyKhachSanModel.ChiTietDatPhong">
              <MappingFragment StoreEntitySet="ChiTietDatPhong">
                <ScalarProperty Name="MaCTDP" ColumnName="MaCTDP" />
                <ScalarProperty Name="MaDatPhong" ColumnName="MaDatPhong" />
                <ScalarProperty Name="MaDV" ColumnName="MaDV" />
                <ScalarProperty Name="SoLuong" ColumnName="SoLuong" />
                <ScalarProperty Name="ThanhTien" ColumnName="ThanhTien" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="DatPhongs">
            <EntityTypeMapping TypeName="QuanLyKhachSanModel.DatPhong">
              <MappingFragment StoreEntitySet="DatPhong">
                <ScalarProperty Name="MaDatPhong" ColumnName="MaDatPhong" />
                <ScalarProperty Name="MaKH" ColumnName="MaKH" />
                <ScalarProperty Name="MaPhong" ColumnName="MaPhong" />
                <ScalarProperty Name="NgayDen" ColumnName="NgayDen" />
                <ScalarProperty Name="NgayDi" ColumnName="NgayDi" />
                <ScalarProperty Name="SoNguoiO" ColumnName="SoNguoiO" />
                <ScalarProperty Name="TienCoc" ColumnName="TienCoc" />
                <ScalarProperty Name="NVTiepNhan" ColumnName="NVTiepNhan" />
                <ScalarProperty Name="TongTien" ColumnName="TongTien" />
                <ScalarProperty Name="SoNgayO" ColumnName="SoNgayO" />
                <ScalarProperty Name="TraPhong" ColumnName="TraPhong" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="DichVus">
            <EntityTypeMapping TypeName="QuanLyKhachSanModel.DichVu">
              <MappingFragment StoreEntitySet="DichVu">
                <ScalarProperty Name="MaDV" ColumnName="MaDV" />
                <ScalarProperty Name="TenDV" ColumnName="TenDV" />
                <ScalarProperty Name="Gia" ColumnName="Gia" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="HoaDons">
            <EntityTypeMapping TypeName="QuanLyKhachSanModel.HoaDon">
              <MappingFragment StoreEntitySet="HoaDon">
                <ScalarProperty Name="MaHoaDon" ColumnName="MaHoaDon" />
                <ScalarProperty Name="MaDatPhong" ColumnName="MaDatPhong" />
                <ScalarProperty Name="NgayLap" ColumnName="NgayLap" />
                <ScalarProperty Name="TongTien" ColumnName="TongTien" />
                <ScalarProperty Name="NVThanhToan" ColumnName="NVThanhToan" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="KhachHangs">
            <EntityTypeMapping TypeName="QuanLyKhachSanModel.KhachHang">
              <MappingFragment StoreEntitySet="KhachHang">
                <ScalarProperty Name="MaKH" ColumnName="MaKH" />
                <ScalarProperty Name="HoTen" ColumnName="HoTen" />
                <ScalarProperty Name="DiaChi" ColumnName="DiaChi" />
                <ScalarProperty Name="SDT" ColumnName="SDT" />
                <ScalarProperty Name="Email" ColumnName="Email" />
                <ScalarProperty Name="CCCD" ColumnName="CCCD" />
                <ScalarProperty Name="SoLanNghi" ColumnName="SoLanNghi" />
                <ScalarProperty Name="KhachVIP" ColumnName="KhachVIP" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="LoaiPhongs">
            <EntityTypeMapping TypeName="QuanLyKhachSanModel.LoaiPhong">
              <MappingFragment StoreEntitySet="LoaiPhong">
                <ScalarProperty Name="MaLoaiPhong" ColumnName="MaLoaiPhong" />
                <ScalarProperty Name="TenLoaiPhong" ColumnName="TenLoaiPhong" />
                <ScalarProperty Name="MoTa" ColumnName="MoTa" />
                <ScalarProperty Name="Gia" ColumnName="Gia" />
                <ScalarProperty Name="SucChua" ColumnName="SucChua" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="NhanViens">
            <EntityTypeMapping TypeName="QuanLyKhachSanModel.NhanVien">
              <MappingFragment StoreEntitySet="NhanVien">
                <ScalarProperty Name="MaNV" ColumnName="MaNV" />
                <ScalarProperty Name="HoTen" ColumnName="HoTen" />
                <ScalarProperty Name="DiaChi" ColumnName="DiaChi" />
                <ScalarProperty Name="SDT" ColumnName="SDT" />
                <ScalarProperty Name="Email" ColumnName="Email" />
                <ScalarProperty Name="MatKhau" ColumnName="MatKhau" />
                <ScalarProperty Name="ChucVu" ColumnName="ChucVu" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Phongs">
            <EntityTypeMapping TypeName="QuanLyKhachSanModel.Phong">
              <MappingFragment StoreEntitySet="Phong">
                <ScalarProperty Name="MaPhong" ColumnName="MaPhong" />
                <ScalarProperty Name="MaLoaiPhong" ColumnName="MaLoaiPhong" />
                <ScalarProperty Name="TinhTrang" ColumnName="TinhTrang" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="sysdiagrams">
            <EntityTypeMapping TypeName="QuanLyKhachSanModel.sysdiagram">
              <MappingFragment StoreEntitySet="sysdiagrams">
                <ScalarProperty Name="name" ColumnName="name" />
                <ScalarProperty Name="principal_id" ColumnName="principal_id" />
                <ScalarProperty Name="diagram_id" ColumnName="diagram_id" />
                <ScalarProperty Name="version" ColumnName="version" />
                <ScalarProperty Name="definition" ColumnName="definition" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>